{
  "x-generator": "NSwag v13.20.0.0 (NJsonSchema v10.9.0.0 (Newtonsoft.Json v13.0.0.0))",
  "swagger": "2.0",
  "info": {
    "title": "EIS-API",
    "description": "EIS",
    "contact": {
      "name": "Paragon Data GmbH - Softwareentwicklung",
      "url": "https://www.paragon-data.de",
      "email": "se@paragon-data.de"
    },
    "version": "1.3"
  },
  "host": "eis-test.kubernetes.paragon-systems.de",
  "schemes": [
    "https"
  ],
  "produces": [
    "text/plain",
    "application/json",
    "text/json"
  ],
  "paths": {
    "/eis/info": {
      "post": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Info anlegen",
        "operationId": "EISBackend_CreateInfo",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "infoDTO",
            "in": "body",
            "required": true,
            "description": "Daten",
            "schema": {
              "$ref": "#/definitions/InfoDTO"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      },
      "get": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Infos",
        "operationId": "EISBackend_GetInfos",
        "parameters": [
          {
            "type": "boolean",
            "name": "archive",
            "in": "query",
            "default": false,
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "eagerLoading",
            "in": "query",
            "format": "int32",
            "default": 0,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "query",
            "in": "query",
            "description": "Such-String",
            "x-nullable": true
          },
          {
            "type": "boolean",
            "name": "sonderinfo",
            "in": "query",
            "description": "SonderInfo Flag",
            "default": false,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          },
          {
            "type": "integer",
            "name": "skip",
            "in": "query",
            "format": "int32",
            "x-nullable": true
          },
          {
            "type": "integer",
            "name": "take",
            "in": "query",
            "format": "int32",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/delete/{infoId}": {
      "delete": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Löchen einere Info",
        "operationId": "EISBackend_DeleteInfo",
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "format": "int64",
            "x-nullable": false
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfBoolean"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfBoolean"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfBoolean"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/updateapproval/{infoId}": {
      "put": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Freigabe eines Updates",
        "operationId": "EISBackend_ApproveUpdate",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "infoDTO",
            "in": "body",
            "required": true,
            "description": "Daten",
            "schema": {
              "$ref": "#/definitions/InfoDTO"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/updatereject/{infoId}": {
      "put": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Ablehnen eines Updates",
        "operationId": "EISBackend_RejectUpdate",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "infoDTO",
            "in": "body",
            "required": true,
            "description": "Daten",
            "schema": {
              "$ref": "#/definitions/InfoDTO"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/info/{infoId}": {
      "put": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Info aktualisieren",
        "operationId": "EISBackend_UpdateInfo",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "infoDTO",
            "in": "body",
            "required": true,
            "description": "Daten",
            "schema": {
              "$ref": "#/definitions/InfoDTO"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      },
      "get": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Info per ID",
        "operationId": "EISBackend_GetInfoById",
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "eagerLoading",
            "in": "query",
            "format": "int32",
            "default": 2,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/info/approve/{allowsave}": {
      "patch": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Info freigeben",
        "operationId": "EISBackend_ApproveInfo",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "infoDTO",
            "in": "body",
            "required": true,
            "description": "Info",
            "schema": {
              "$ref": "#/definitions/InfoDTO"
            },
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "allowsave",
            "in": "path",
            "required": true,
            "description": "hat Änderungen oder ist Neu, dann darf gesichert werden",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/word/{datum}": {
      "get": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Infos",
        "operationId": "EISBackend_GetWord",
        "parameters": [
          {
            "type": "string",
            "name": "datum",
            "in": "path",
            "required": true,
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "eagerLoading",
            "in": "query",
            "format": "int32",
            "default": 0,
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "skip",
            "in": "query",
            "format": "int32",
            "x-nullable": true
          },
          {
            "type": "integer",
            "name": "take",
            "in": "query",
            "format": "int32",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/branch": {
      "get": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Filialen",
        "operationId": "EISBackend_GetBranches",
        "parameters": [
          {
            "type": "string",
            "name": "labelKey",
            "in": "query",
            "x-nullable": true
          },
          {
            "type": "integer",
            "name": "skip",
            "in": "query",
            "format": "int32",
            "x-nullable": true
          },
          {
            "type": "integer",
            "name": "take",
            "in": "query",
            "format": "int32",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfBranchDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfBranchDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfBranchDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/category": {
      "get": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Kategorien/Bereiche",
        "operationId": "EISBackend_GetCategories",
        "parameters": [
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung (optional)",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfEntityKeyValueDTOOfStringAndString"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfEntityKeyValueDTOOfStringAndString"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfEntityKeyValueDTOOfStringAndString"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/displaychannel": {
      "get": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Kategorien/Bereiche",
        "operationId": "EISBackend_GetDisplayChannels",
        "parameters": [
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung (optional)",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfEntityKeyValueDTOOfStringAndString"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfEntityKeyValueDTOOfStringAndString"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfEntityKeyValueDTOOfStringAndString"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/file/{fileId}": {
      "get": {
        "tags": [
          "EISBackend"
        ],
        "summary": "Datei-Inhalt",
        "operationId": "EISBackend_GetFileContent",
        "parameters": [
          {
            "type": "integer",
            "name": "fileId",
            "in": "path",
            "required": true,
            "description": "Datei PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "download",
            "in": "query",
            "description": "Datei wird als Download gesendet (optional)",
            "default": false,
            "x-nullable": false
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "Datei",
            "schema": {
              "type": "file"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info": {
      "post": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Infos",
        "operationId": "EISPublic_GetDisplayInfos",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "data",
            "in": "body",
            "required": true,
            "description": "Abfragedaten",
            "schema": {
              "$ref": "#/definitions/DisplayInfoRequest"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfDisplayInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfDisplayInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfDisplayInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        },
        "deprecated": true
      }
    },
    "/eis/intranet/info/s/settings": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Filterwerte",
        "operationId": "EISPublic_QueryDisplayInfoSettings",
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfQuerySettingsDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfQuerySettingsDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfQuerySettingsDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/s": {
      "post": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Infos / Aufgaben suchen",
        "operationId": "EISPublic_QueryDisplayInfo",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "queryToken",
            "in": "body",
            "required": true,
            "description": "Abfragedaten",
            "schema": {
              "$ref": "#/definitions/QueryTokenDTO"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfDisplayInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfDisplayInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfDisplayInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/dashboard": {
      "post": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Infos",
        "operationId": "EISPublic_GetDashboardInfos",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "data",
            "in": "body",
            "required": true,
            "description": "Abfragedaten",
            "schema": {
              "$ref": "#/definitions/DashboardInfoRequest"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfDisplayInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfDisplayInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListResponseArgsOfDisplayInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/currentbranch": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Dem Benutzer zugeordnete Filiale",
        "operationId": "EISPublic_GetCurrentBranch",
        "parameters": [
          {
            "type": "integer",
            "name": "eagerLoading",
            "in": "query",
            "description": "eagerLoading (optional)",
            "format": "int32",
            "default": 0,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung (optional)",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfEntityDTOContainerOfBranchDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfEntityDTOContainerOfBranchDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfEntityDTOContainerOfBranchDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/categories": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Kategorien / Bereiche",
        "operationId": "EISPublic_GetCategories",
        "parameters": [
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung (optional)",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfEntityKeyValueDTOOfStringAndString"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfEntityKeyValueDTOOfStringAndString"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfEntityKeyValueDTOOfStringAndString"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/{infoId}": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Info",
        "operationId": "EISPublic_GetDisplayInfoById",
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfDisplayInfoDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfDisplayInfoDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfDisplayInfoDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/{infoId}/edit": {
      "patch": {
        "tags": [
          "EISPublic"
        ],
        "summary": "In Bearbeitung",
        "operationId": "EISPublic_SetInfoToEdit",
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung (optional)",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfConfirmationDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfConfirmationDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfConfirmationDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/{infoId}/reset": {
      "patch": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Bearbeitungsstatus zurücksetzen",
        "operationId": "EISPublic_ResetConfirmation",
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung (optional)",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgs"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgs"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgs"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/{infoId}/complete": {
      "patch": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Bearbeitungsstatus zurücksetzen",
        "operationId": "EISPublic_CompleteConfirmation",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "file",
            "in": "body",
            "required": true,
            "description": "Datei (optional)",
            "schema": {
              "$ref": "#/definitions/FileDTO"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung (optional)",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgs"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgs"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgs"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/{infoId}/file": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Dateien",
        "operationId": "EISPublic_GetFiles",
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/file/{fileId}": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Datei-Inhalt",
        "operationId": "EISPublic_GetFileContent",
        "parameters": [
          {
            "type": "integer",
            "name": "fileId",
            "in": "path",
            "required": true,
            "description": "Datei PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "download",
            "in": "query",
            "description": "Datei wird als Download gesendet (optional)",
            "default": false,
            "x-nullable": false
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "Datei",
            "schema": {
              "type": "file"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/{infoId}/image/teaser": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Teaser Image",
        "operationId": "EISPublic_GetTeaserImage",
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "download",
            "in": "query",
            "description": "Datei wird als Download gesendet (optional)",
            "default": false,
            "x-nullable": false
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "Datei",
            "schema": {
              "type": "file"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/{infoId}/image": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Dateien",
        "operationId": "EISPublic_GetImages",
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/{infoId}/article": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Artikel",
        "operationId": "EISPublic_GetArticles",
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfArticleDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfArticleDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfArticleDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/{infoId}/confirmation/{confirmationId}/file": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Dateien",
        "operationId": "EISPublic_GetConfirmationFiles",
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "confirmationId",
            "in": "path",
            "required": true,
            "description": "Aufgabenabschluss PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/branch/{branchId}/info/{infoId}/confirmation/file": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Dateien",
        "operationId": "EISPublic_GetConfirmationFilesByBranchId",
        "parameters": [
          {
            "type": "integer",
            "name": "branchId",
            "in": "path",
            "required": true,
            "description": "Filiale PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfFileDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/branch/{branchId}/info/{infoId}/comment": {
      "get": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Anmerkungen / Notizen",
        "operationId": "EISPublic_GetCommentsByBranchId",
        "parameters": [
          {
            "type": "integer",
            "name": "branchId",
            "in": "path",
            "required": true,
            "description": "Filiale PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfCommentDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfCommentDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfIEnumerableOfCommentDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/{infoId}/comment": {
      "post": {
        "tags": [
          "EISPublic"
        ],
        "summary": "Anmerkung / Notiz hinzufügen",
        "operationId": "EISPublic_AddComment",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "infoId",
            "in": "path",
            "required": true,
            "description": "Info PK",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "payload",
            "in": "body",
            "required": true,
            "description": "Daten",
            "schema": {
              "$ref": "#/definitions/CommentDTO"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfCommentDTO"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfCommentDTO"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfCommentDTO"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/article/pdf/base64": {
      "post": {
        "tags": [
          "EISPublicDocument"
        ],
        "summary": "Artikelliste als PDF (base64)",
        "operationId": "EISPublicDocument_GetArticlesPdfAsBase64",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "payload",
            "in": "body",
            "required": true,
            "description": "DocumentPayload mit EANsK",
            "schema": {
              "$ref": "#/definitions/DocumentPayloadOfIEnumerableOfString"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung (optional)",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfString"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfString"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfString"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    },
    "/eis/intranet/info/pdf/base64": {
      "post": {
        "tags": [
          "EISPublicDocument"
        ],
        "summary": "Aufgaben und Infos als PDF (base64)",
        "operationId": "EISPublicDocument_GetInfosPdfAsBase64",
        "consumes": [
          "application/json-patch+json",
          "application/json",
          "text/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "payload",
            "in": "body",
            "required": true,
            "description": "DocumentPayload mit Infos",
            "schema": {
              "$ref": "#/definitions/DocumentPayloadOfIEnumerableOfDisplayInfoDTO"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "locale",
            "in": "query",
            "description": "Lokalisierung (optional)",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfString"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfString"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ProblemDetails"
            }
          },
          "500": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ResponseArgsOfString"
            }
          },
          "503": {
            "description": ""
          }
        }
      }
    }
  },
  "definitions": {
    "ResponseArgsOfInfoDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "$ref": "#/definitions/InfoDTO"
            }
          }
        }
      ]
    },
    "InfoDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOBase"
        },
        {
          "type": "object",
          "description": "Info",
          "properties": {
            "key": {
              "type": "string",
              "description": "Schlüssel"
            },
            "predecessor": {
              "description": "Dateien ",
              "allOf": [
                {
                  "$ref": "#/definitions/EntityDTOContainerOfInfoDTO"
                }
              ]
            },
            "successor": {
              "description": "Nachfolger (read only)",
              "allOf": [
                {
                  "$ref": "#/definitions/EntityDTOContainerOfDisplayInfoDTO"
                }
              ]
            },
            "infoStatus": {
              "description": "Freigabestatus",
              "allOf": [
                {
                  "$ref": "#/definitions/InfoStatus"
                }
              ]
            },
            "owner": {
              "type": "string",
              "description": "Bearbeiter"
            },
            "branches": {
              "type": "array",
              "description": "Betreffenden Filialen",
              "items": {
                "$ref": "#/definitions/EntityDTOContainerOfBranchDTO"
              }
            },
            "infoType": {
              "description": "Info Typ",
              "allOf": [
                {
                  "$ref": "#/definitions/InfoType"
                }
              ]
            },
            "displayChannel": {
              "type": "string",
              "description": "Dashboard-Kanal"
            },
            "isPublic": {
              "type": "boolean",
              "description": "Öffentliche Info"
            },
            "isSonderinfo": {
              "type": "boolean",
              "description": "Sonderinfo-Flag"
            },
            "title": {
              "type": "string",
              "description": "Titel"
            },
            "category": {
              "type": "string",
              "description": "Bereich / Kategorie"
            },
            "priority": {
              "type": "integer",
              "description": "Priorität",
              "format": "int32"
            },
            "body": {
              "type": "string",
              "description": "Nachricht / Text"
            },
            "link": {
              "type": "string",
              "description": "Link"
            },
            "files": {
              "type": "array",
              "description": "Dateien ",
              "items": {
                "$ref": "#/definitions/EntityDTOContainerOfFileDTO"
              }
            },
            "images": {
              "type": "array",
              "description": "Bilder",
              "items": {
                "$ref": "#/definitions/EntityDTOContainerOfFileDTO"
              }
            },
            "taskType": {
              "description": "Aufgaben-Typ",
              "allOf": [
                {
                  "$ref": "#/definitions/TaskType"
                }
              ]
            },
            "taskDate": {
              "type": "string",
              "description": "Aufgabenbeginn",
              "format": "date-time"
            },
            "taskOverdueDate": {
              "type": "string",
              "description": "Aufgabe überfallig ab",
              "format": "date-time"
            },
            "taskOwner": {
              "type": "string",
              "description": "Aufgaben-Verantwortliche"
            },
            "effort": {
              "type": "integer",
              "description": "Aufwand",
              "format": "int32"
            },
            "announcementDate": {
              "type": "string",
              "description": "(Vor-) Ankündigung",
              "format": "date-time"
            },
            "publicationDate": {
              "type": "string",
              "description": "Beginn",
              "format": "date-time"
            },
            "archiveDate": {
              "type": "string",
              "description": "Archivierungsdatum",
              "format": "date-time"
            },
            "removalDate": {
              "type": "string",
              "description": "Gelöscht am",
              "format": "date-time"
            },
            "validDurationInDays": {
              "type": "integer",
              "description": "Gültigkeitszeitraum",
              "format": "int32"
            },
            "relevanceIsAllDay": {
              "type": "boolean",
              "description": "Genztägig"
            },
            "relevanceHourFrom": {
              "type": "string",
              "description": "Zeitraum ab",
              "format": "date-time"
            },
            "relevanceHourTo": {
              "type": "string",
              "description": "Zeitraum bis",
              "format": "date-time"
            },
            "displayListStart": {
              "type": "string",
              "description": "Dashboard Beginn",
              "format": "date-time"
            },
            "displayListStartIsAllDay": {
              "type": "boolean",
              "description": "Dashboard Beginn - Ganztägig (editor only)"
            },
            "displayListStartHourFrom": {
              "type": "string",
              "description": "Dashboard Beginn - Zeitraum ab (editor only)",
              "format": "date-time"
            },
            "displayListStartHourTo": {
              "type": "string",
              "description": "Dashboard Beginn - Zeitraum bis (editor only)",
              "format": "date-time"
            },
            "displayListStop": {
              "type": "string",
              "description": "Dashboard Ende",
              "format": "date-time"
            },
            "displayListStopIsAllDay": {
              "type": "boolean",
              "description": "Dashboard Ende - Ganztägig (editor only)"
            },
            "displayListStopHourFrom": {
              "type": "string",
              "description": "Dashboard Ende - Zeitraum ab (editor only)",
              "format": "date-time"
            },
            "displayListStopHourTo": {
              "type": "string",
              "description": "Dashboard Ende - Zeitraum bis (editor only)",
              "format": "date-time"
            },
            "requiresImageOnConfirmation": {
              "type": "boolean",
              "description": "Betstätigung mit Bild"
            },
            "articles": {
              "type": "array",
              "description": "Artikelliste",
              "items": {
                "$ref": "#/definitions/EntityDTOContainerOfArticleDTO"
              }
            },
            "confirmation": {
              "type": "array",
              "description": "Bestätigung",
              "items": {
                "$ref": "#/definitions/EntityDTOContainerOfConfirmationDTO"
              }
            },
            "updateComment": {
              "type": "string",
              "description": "Bestätigung"
            },
            "approval": {
              "type": "string",
              "description": "Freigabezeitstempel",
              "format": "date-time"
            },
            "approvalBy": {
              "type": "string",
              "description": "Freigegeben durch"
            }
          }
        }
      ]
    },
    "EntityDTOContainerOfInfoDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOReferenceContainer"
        },
        {
          "type": "object",
          "properties": {
            "data": {
              "$ref": "#/definitions/InfoDTO"
            }
          }
        }
      ]
    },
    "EntityDTOReferenceContainer": {
      "allOf": [
        {
          "$ref": "#/definitions/TouchedBase"
        },
        {
          "type": "object",
          "properties": {
            "id": {
              "type": "integer",
              "format": "int64"
            },
            "uId": {
              "type": "string"
            },
            "pId": {
              "type": "string"
            },
            "externalReference": {
              "$ref": "#/definitions/ExternalReferenceDTO"
            },
            "displayLabel": {
              "type": "string"
            },
            "enabled": {
              "type": "boolean"
            },
            "selected": {
              "type": "boolean"
            }
          }
        }
      ]
    },
    "ExternalReferenceDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/TouchedBase"
        },
        {
          "type": "object",
          "required": [
            "externalStatus"
          ],
          "properties": {
            "externalPK": {
              "type": "string"
            },
            "externalNumber": {
              "type": "string"
            },
            "externalCreated": {
              "type": "string",
              "format": "date-time"
            },
            "externalChanged": {
              "type": "string",
              "format": "date-time"
            },
            "externalStatus": {
              "$ref": "#/definitions/EntityStatus"
            },
            "externalVersion": {
              "type": "integer",
              "format": "int32"
            },
            "externalRepository": {
              "type": "string"
            },
            "publishToken": {
              "type": "string"
            }
          }
        }
      ]
    },
    "EntityStatus": {
      "type": "integer",
      "description": "",
      "x-enumNames": [
        "NotSet",
        "Online",
        "Offline",
        "Deleted",
        "Archived"
      ],
      "enum": [
        0,
        1,
        2,
        4,
        8
      ]
    },
    "TouchedBase": {
      "type": "object",
      "x-abstract": true
    },
    "EntityDTOContainerOfDisplayInfoDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOReferenceContainer"
        },
        {
          "type": "object",
          "properties": {
            "data": {
              "$ref": "#/definitions/DisplayInfoDTO"
            }
          }
        }
      ]
    },
    "DisplayInfoDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOBase"
        },
        {
          "type": "object",
          "description": "Info",
          "properties": {
            "predecessor": {
              "description": "Vorgänger",
              "allOf": [
                {
                  "$ref": "#/definitions/EntityDTOContainerOfDisplayInfoDTO"
                }
              ]
            },
            "successor": {
              "description": "Nachfolger (read only)",
              "allOf": [
                {
                  "$ref": "#/definitions/EntityDTOContainerOfDisplayInfoDTO"
                }
              ]
            },
            "announcementDate": {
              "type": "string",
              "description": "(Vor-) Ankündigung",
              "format": "date-time"
            },
            "publicationDate": {
              "type": "string",
              "description": "Veröffentlichungsdatum",
              "format": "date-time"
            },
            "removalDate": {
              "type": "string",
              "description": "Gelöscht am",
              "format": "date-time"
            },
            "timeFrom": {
              "type": "string",
              "description": "Zeitraum ab",
              "format": "date-time"
            },
            "timeTo": {
              "type": "string",
              "description": "Zeitraum bis",
              "format": "date-time"
            },
            "title": {
              "type": "string",
              "description": "Titel / Bezeichner"
            },
            "text": {
              "type": "string",
              "description": "Text"
            },
            "link": {
              "type": "string",
              "description": "Link"
            },
            "category": {
              "type": "string",
              "description": "Kategorie / Bereich"
            },
            "priority": {
              "type": "integer",
              "description": "Priorität",
              "format": "int32"
            },
            "displayChannel": {
              "type": "string",
              "description": "Dashboard-Kanal"
            },
            "requiresImageOnConfirmation": {
              "type": "boolean",
              "description": "Bestätigung mit Bild"
            },
            "processingStatus": {
              "description": "Bearbeitungsstatus",
              "allOf": [
                {
                  "$ref": "#/definitions/ProcessingStatus"
                }
              ]
            },
            "attachments": {
              "type": "integer",
              "description": "Anzahl der Attachements",
              "format": "int32"
            },
            "images": {
              "type": "array",
              "description": "Teaser-Image",
              "items": {
                "$ref": "#/definitions/EntityDTOContainerOfFileDTO"
              }
            },
            "articles": {
              "type": "array",
              "description": "Artikelliste",
              "items": {
                "$ref": "#/definitions/EntityDTOContainerOfArticleDTO"
              }
            },
            "hasTask": {
              "type": "boolean",
              "description": "Enthält Aufgabe"
            },
            "taskDate": {
              "type": "string",
              "description": "Aufgabenbeginn",
              "format": "date-time"
            },
            "taskOverdueDate": {
              "type": "string",
              "description": "Aufgabe überfallig ab",
              "format": "date-time"
            },
            "effort": {
              "type": "integer",
              "description": "Aufwand",
              "format": "int32"
            },
            "displayListStart": {
              "type": "string",
              "description": "Dashboard Beginn",
              "format": "date-time"
            },
            "displayListStop": {
              "type": "string",
              "description": "Dashboard Ende",
              "format": "date-time"
            },
            "isSpecial": {
              "type": "boolean",
              "description": "Sonderinfo"
            },
            "comments": {
              "type": "integer",
              "description": "Anmerkungen / Notizen",
              "format": "int32"
            },
            "updateComment": {
              "type": "string",
              "description": "Aktualisierungsnotiz"
            }
          }
        }
      ]
    },
    "ProcessingStatus": {
      "type": "integer",
      "description": "Bearbeitungsstatus",
      "x-enumFlags": true,
      "x-enumNames": [
        "NotSet",
        "Approved",
        "InProcess",
        "Completed",
        "Overdue",
        "Archived",
        "Removed",
        "Uncompleted"
      ],
      "enum": [
        0,
        1,
        2,
        4,
        8,
        16,
        32,
        64
      ]
    },
    "EntityDTOContainerOfFileDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOReferenceContainer"
        },
        {
          "type": "object",
          "properties": {
            "data": {
              "$ref": "#/definitions/FileDTO"
            }
          }
        }
      ]
    },
    "FileDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOBase"
        },
        {
          "type": "object",
          "description": "Datei",
          "properties": {
            "name": {
              "type": "string",
              "description": "Bezeichner / Dateiname"
            },
            "type": {
              "type": "string",
              "description": "Art der Datei (z.B. Cover)"
            },
            "path": {
              "type": "string",
              "description": "Datei-Pfad"
            },
            "mime": {
              "type": "string",
              "description": "MIME (z.B. image/png, application/pdf"
            },
            "hash": {
              "type": "string",
              "description": "Hash von Content"
            },
            "size": {
              "type": "number",
              "description": "Größe der Date in Bytes",
              "format": "double"
            },
            "subtitle": {
              "type": "string",
              "description": "Untertitel"
            },
            "copyright": {
              "type": "string",
              "description": "Copyright Angaben"
            },
            "content": {
              "type": "string",
              "description": "Datei-Inhalt"
            }
          }
        }
      ]
    },
    "EntityDTOBase": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTO"
        },
        {
          "type": "object",
          "x-abstract": true
        }
      ]
    },
    "EntityDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/TouchedBase"
        },
        {
          "type": "object",
          "x-abstract": true,
          "properties": {
            "id": {
              "type": "integer",
              "format": "int64"
            },
            "uId": {
              "type": "string"
            },
            "created": {
              "type": "string",
              "format": "date-time"
            },
            "changed": {
              "type": "string",
              "format": "date-time"
            },
            "version": {
              "type": "integer",
              "format": "int32"
            },
            "status": {
              "$ref": "#/definitions/EntityStatus"
            },
            "pId": {
              "type": "string"
            },
            "cruda": {
              "$ref": "#/definitions/CRUDA"
            }
          }
        }
      ]
    },
    "CRUDA": {
      "type": "integer",
      "description": "",
      "x-enumFlags": true,
      "x-enumNames": [
        "NotSet",
        "Create",
        "Read",
        "Update",
        "Delete",
        "Archive"
      ],
      "enum": [
        0,
        1,
        2,
        4,
        8,
        16
      ]
    },
    "EntityDTOContainerOfArticleDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOReferenceContainer"
        },
        {
          "type": "object",
          "properties": {
            "data": {
              "$ref": "#/definitions/ArticleDTO"
            }
          }
        }
      ]
    },
    "ArticleDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOBase"
        },
        {
          "type": "object",
          "description": "Artikel",
          "properties": {
            "text": {
              "type": "string",
              "description": "Text"
            },
            "ean": {
              "type": "string",
              "description": "EAN"
            }
          }
        }
      ]
    },
    "InfoStatus": {
      "type": "integer",
      "description": "Freigabestatus",
      "x-enumNames": [
        "NotSet",
        "Private",
        "ForApproval",
        "Approved",
        "Archiv",
        "Deleted",
        "ForUpdateApproval",
        "Updated",
        "ForDeleteApproval",
        "ApprovalRejected",
        "ApprovalUpdateRejected",
        "ApprovalDeleteRejected"
      ],
      "enum": [
        0,
        1,
        2,
        3,
        4,
        5,
        6,
        7,
        8,
        9,
        10,
        11
      ]
    },
    "EntityDTOContainerOfBranchDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOReferenceContainer"
        },
        {
          "type": "object",
          "properties": {
            "data": {
              "$ref": "#/definitions/BranchDTO"
            }
          }
        }
      ]
    },
    "BranchDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOBase"
        },
        {
          "type": "object",
          "description": "Filiale / Abteilung",
          "required": [
            "branchType"
          ],
          "properties": {
            "label": {
              "type": "string",
              "description": "Label, welche die Fialiale/Abteilung angehört"
            },
            "parent": {
              "type": "integer",
              "description": "Übergeordnete Filiale/Abteilung",
              "format": "int64"
            },
            "branchNumber": {
              "type": "string",
              "description": "Filial-/Abteilungsnnummer"
            },
            "name": {
              "type": "string",
              "description": "Name der Filiale/Abteilung"
            },
            "shortName": {
              "type": "string",
              "description": "Kurzname"
            },
            "key": {
              "type": "string",
              "description": "Eindeutiger Schlüssel/Kürzel (bezogen auf das Label)"
            },
            "isOnline": {
              "type": "boolean",
              "description": "            Ist die Filiale aktiv\n            "
            },
            "region": {
              "type": "string",
              "description": "Addressdaten"
            },
            "branchType": {
              "description": "Art der Filiale/Abteilung\n\nNotSet\t\t\t= 0,\nStore\t\t\t= 1,\nWebStore\t\t= 2,\nCallCenter\t\t= 4,\nHeadquarter\t\t= 8",
              "allOf": [
                {
                  "$ref": "#/definitions/BranchType"
                }
              ]
            },
            "isDefault": {
              "type": "string",
              "description": "Standard",
              "format": "date-time"
            }
          }
        }
      ]
    },
    "BranchType": {
      "type": "integer",
      "description": "",
      "x-enumFlags": true,
      "x-enumNames": [
        "NotSet",
        "Store",
        "WebStore",
        "CallCenter",
        "Headquarter",
        "HumanResources"
      ],
      "enum": [
        0,
        1,
        2,
        4,
        8,
        16
      ]
    },
    "InfoType": {
      "type": "integer",
      "description": "",
      "x-enumNames": [
        "NotSet",
        "Info",
        "Toplist"
      ],
      "enum": [
        0,
        1,
        2
      ]
    },
    "TaskType": {
      "type": "integer",
      "description": "Aufgaben Typ",
      "x-enumNames": [
        "NotSet",
        "PublicationDate",
        "SeparateStartDate"
      ],
      "enum": [
        0,
        1,
        2
      ]
    },
    "EntityDTOContainerOfConfirmationDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOReferenceContainer"
        },
        {
          "type": "object",
          "properties": {
            "data": {
              "$ref": "#/definitions/ConfirmationDTO"
            }
          }
        }
      ]
    },
    "ConfirmationDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOBase"
        },
        {
          "type": "object",
          "description": "Bestätigung",
          "properties": {
            "branch": {
              "description": "Filiale / Abteilung",
              "allOf": [
                {
                  "$ref": "#/definitions/EntityDTOContainerOfBranchDTO"
                }
              ]
            },
            "processingBy": {
              "type": "string",
              "description": "In Bearbeitung durch"
            },
            "processingDate": {
              "type": "string",
              "description": "In Bearbeitung seit",
              "format": "date-time"
            },
            "completedBy": {
              "type": "string",
              "description": "Erledigt durch"
            },
            "completedDate": {
              "type": "string",
              "description": "Erledigt Zeitstempel",
              "format": "date-time"
            },
            "attachments": {
              "type": "array",
              "description": "Dateien",
              "items": {
                "$ref": "#/definitions/EntityDTOContainerOfFileDTO"
              }
            }
          }
        }
      ]
    },
    "ResponseArgs": {
      "type": "object",
      "required": [
        "error"
      ],
      "properties": {
        "error": {
          "type": "boolean"
        },
        "message": {
          "type": "string"
        },
        "dialog": {
          "$ref": "#/definitions/DialogOfString"
        },
        "requestId": {
          "type": "integer",
          "format": "int64"
        },
        "userInfo": {
          "x-deprecated": true,
          "allOf": [
            {
              "$ref": "#/definitions/IPublicUserInfo"
            }
          ]
        },
        "invalidProperties": {
          "type": "object",
          "additionalProperties": {
            "type": "string"
          }
        }
      }
    },
    "DialogOfString": {
      "type": "object",
      "required": [
        "settings",
        "contentType"
      ],
      "properties": {
        "settings": {
          "$ref": "#/definitions/DialogSettings"
        },
        "displayTimeout": {
          "type": "integer",
          "format": "int32"
        },
        "area": {
          "type": "string"
        },
        "title": {
          "type": "string"
        },
        "subtitle": {
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "contentType": {
          "$ref": "#/definitions/DialogContentType"
        },
        "content": {
          "type": "string"
        },
        "actionsRequired": {
          "type": "integer",
          "format": "int32"
        },
        "actions": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/KeyValueDTOOfStringAndString"
          }
        }
      }
    },
    "DialogSettings": {
      "type": "integer",
      "description": "",
      "x-enumFlags": true,
      "x-enumNames": [
        "NotSet",
        "CanClose",
        "IsModal",
        "CloseAfterActionCompleted"
      ],
      "enum": [
        0,
        1,
        2,
        4
      ]
    },
    "DialogContentType": {
      "type": "integer",
      "description": "",
      "x-enumNames": [
        "NotSet",
        "Debug",
        "Information",
        "Warning",
        "Error",
        "Critical",
        "Success",
        "Question",
        "Confirmation"
      ],
      "enum": [
        0,
        1,
        2,
        4,
        8,
        16,
        32,
        64,
        128
      ]
    },
    "KeyValueDTOOfStringAndString": {
      "type": "object",
      "properties": {
        "enabled": {
          "type": "boolean"
        },
        "label": {
          "type": "string"
        },
        "key": {
          "type": "string"
        },
        "value": {
          "type": "string"
        },
        "selected": {
          "type": "boolean"
        },
        "description": {
          "type": "string"
        },
        "sort": {
          "type": "integer",
          "format": "int32"
        },
        "command": {
          "type": "string"
        },
        "group": {
          "type": "string"
        }
      }
    },
    "IPublicUserInfo": {
      "type": "object",
      "x-abstract": true,
      "required": [
        "isAuthenticated"
      ],
      "properties": {
        "alias": {
          "type": "string"
        },
        "displayName": {
          "type": "string"
        },
        "username": {
          "type": "string"
        },
        "isAuthenticated": {
          "type": "boolean"
        }
      }
    },
    "ProblemDetails": {
      "type": "object",
      "additionalProperties": {},
      "required": [
        "extensions"
      ],
      "properties": {
        "type": {
          "type": "string"
        },
        "title": {
          "type": "string"
        },
        "status": {
          "type": "integer",
          "format": "int32"
        },
        "detail": {
          "type": "string"
        },
        "instance": {
          "type": "string"
        },
        "extensions": {
          "type": "object",
          "additionalProperties": {}
        }
      }
    },
    "ResponseArgsOfBoolean": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "required": [
            "result"
          ],
          "properties": {
            "result": {
              "type": "boolean"
            }
          }
        }
      ]
    },
    "ListResponseArgsOfInfoDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgsOfIEnumerableOfInfoDTO"
        },
        {
          "type": "object",
          "properties": {
            "skip": {
              "type": "integer",
              "format": "int32"
            },
            "take": {
              "type": "integer",
              "format": "int32"
            },
            "completed": {
              "type": "boolean"
            },
            "hits": {
              "type": "integer",
              "format": "int32"
            }
          }
        }
      ]
    },
    "ResponseArgsOfIEnumerableOfInfoDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/InfoDTO"
              }
            }
          }
        }
      ]
    },
    "ListResponseArgsOfBranchDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgsOfIEnumerableOfBranchDTO"
        },
        {
          "type": "object",
          "properties": {
            "skip": {
              "type": "integer",
              "format": "int32"
            },
            "take": {
              "type": "integer",
              "format": "int32"
            },
            "completed": {
              "type": "boolean"
            },
            "hits": {
              "type": "integer",
              "format": "int32"
            }
          }
        }
      ]
    },
    "ResponseArgsOfIEnumerableOfBranchDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/BranchDTO"
              }
            }
          }
        }
      ]
    },
    "ResponseArgsOfIEnumerableOfEntityKeyValueDTOOfStringAndString": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/EntityKeyValueDTOOfStringAndString"
              }
            }
          }
        }
      ]
    },
    "EntityKeyValueDTOOfStringAndString": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOBase"
        },
        {
          "type": "object",
          "properties": {
            "enabled": {
              "type": "boolean"
            },
            "key": {
              "type": "string"
            },
            "value": {
              "type": "string"
            },
            "selected": {
              "type": "boolean"
            }
          }
        }
      ]
    },
    "ListResponseArgsOfDisplayInfoDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgsOfIEnumerableOfDisplayInfoDTO"
        },
        {
          "type": "object",
          "properties": {
            "skip": {
              "type": "integer",
              "format": "int32"
            },
            "take": {
              "type": "integer",
              "format": "int32"
            },
            "completed": {
              "type": "boolean"
            },
            "hits": {
              "type": "integer",
              "format": "int32"
            }
          }
        }
      ]
    },
    "ResponseArgsOfIEnumerableOfDisplayInfoDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/DisplayInfoDTO"
              }
            }
          }
        }
      ]
    },
    "DisplayInfoRequest": {
      "type": "object",
      "description": "Abfragewerte zur Anzeige von Infos",
      "required": [
        "branchId",
        "start",
        "stop",
        "infoOnly",
        "includeDisplayTimespan"
      ],
      "properties": {
        "branchId": {
          "type": "integer",
          "description": "Filiale PK",
          "format": "int64"
        },
        "start": {
          "type": "string",
          "description": "Intervall-Beginn",
          "format": "date-time"
        },
        "stop": {
          "type": "string",
          "description": "Intervall-Beginn",
          "format": "date-time"
        },
        "filter": {
          "type": "object",
          "description": "Filter",
          "additionalProperties": {
            "type": "string"
          }
        },
        "infoOnly": {
          "type": "boolean",
          "description": "Nur Infos",
          "x-deprecated": true,
          "x-deprecatedMessage": "Use \"Filter\" instead"
        },
        "categories": {
          "type": "array",
          "description": "Kategorien",
          "x-deprecated": true,
          "x-deprecatedMessage": "Use \"Filter\" instead",
          "items": {
            "type": "string"
          }
        },
        "includeDisplayTimespan": {
          "type": "boolean",
          "description": "Anzeigezeitraum berücksichtigen"
        },
        "skip": {
          "type": "integer",
          "description": "Skip",
          "format": "int32"
        },
        "take": {
          "type": "integer",
          "description": "Take",
          "format": "int32"
        }
      }
    },
    "ResponseArgsOfQuerySettingsDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "$ref": "#/definitions/QuerySettingsDTO"
            }
          }
        }
      ]
    },
    "QuerySettingsDTO": {
      "type": "object",
      "properties": {
        "input": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/InputGroupDTO"
          }
        },
        "filter": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/InputGroupDTO"
          }
        },
        "orderBy": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/OrderByDTO"
          }
        }
      }
    },
    "InputGroupDTO": {
      "type": "object",
      "properties": {
        "group": {
          "type": "string"
        },
        "label": {
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "input": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/InputDTO"
          }
        }
      }
    },
    "InputDTO": {
      "type": "object",
      "required": [
        "type"
      ],
      "properties": {
        "key": {
          "type": "string"
        },
        "label": {
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "placeholder": {
          "type": "string"
        },
        "type": {
          "$ref": "#/definitions/InputType"
        },
        "value": {
          "type": "string"
        },
        "minValue": {
          "type": "string"
        },
        "maxValue": {
          "type": "string"
        },
        "constraint": {
          "type": "string"
        },
        "target": {
          "type": "string"
        },
        "options": {
          "$ref": "#/definitions/InputOptionsDTO"
        }
      }
    },
    "InputType": {
      "type": "integer",
      "description": "",
      "x-enumFlags": true,
      "x-enumNames": [
        "NotSet",
        "Text",
        "Bool",
        "TriState",
        "InputSelector",
        "Date",
        "DateTime",
        "Time",
        "DateRange",
        "DateTimeRange",
        "TimeRange",
        "Integer",
        "Decimal",
        "Number",
        "IntegerRange",
        "DecimalRange",
        "NumberRange"
      ],
      "enum": [
        0,
        1,
        2,
        4,
        8,
        16,
        32,
        64,
        128,
        256,
        512,
        1024,
        2048,
        3072,
        4096,
        8192,
        12288
      ]
    },
    "InputOptionsDTO": {
      "type": "object",
      "properties": {
        "max": {
          "type": "integer",
          "format": "int32"
        },
        "values": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/OptionDTO"
          }
        }
      }
    },
    "OptionDTO": {
      "type": "object",
      "properties": {
        "key": {
          "type": "string"
        },
        "label": {
          "type": "string"
        },
        "description": {
          "type": "string"
        },
        "placeholder": {
          "type": "string"
        },
        "value": {
          "type": "string"
        },
        "minValue": {
          "type": "string"
        },
        "maxValue": {
          "type": "string"
        },
        "selected": {
          "type": "boolean"
        },
        "enabled": {
          "type": "boolean"
        },
        "values": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/OptionDTO"
          }
        }
      }
    },
    "OrderByDTO": {
      "type": "object",
      "properties": {
        "label": {
          "type": "string"
        },
        "by": {
          "type": "string"
        },
        "desc": {
          "type": "boolean"
        }
      }
    },
    "QueryTokenDTO": {
      "type": "object",
      "properties": {
        "friendlyName": {
          "type": "string"
        },
        "input": {
          "type": "object",
          "additionalProperties": {
            "type": "string"
          }
        },
        "ids": {
          "type": "array",
          "items": {
            "type": "integer",
            "format": "int64"
          }
        },
        "fuzzy": {
          "type": "integer",
          "format": "int32"
        },
        "filter": {
          "type": "object",
          "additionalProperties": {
            "type": "string"
          }
        },
        "orderBy": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/OrderByDTO"
          }
        },
        "skip": {
          "type": "integer",
          "format": "int32"
        },
        "take": {
          "type": "integer",
          "format": "int32"
        },
        "hitsOnly": {
          "type": "boolean"
        }
      }
    },
    "DashboardInfoRequest": {
      "type": "object",
      "description": "Abfragewerte zur Anzeige von Infos",
      "required": [
        "branchId",
        "timestamp"
      ],
      "properties": {
        "branchId": {
          "type": "integer",
          "description": "Filiale PK",
          "format": "int64"
        },
        "timestamp": {
          "type": "string",
          "description": "Intervall-Beginn",
          "format": "date-time"
        },
        "skip": {
          "type": "integer",
          "description": "Skip",
          "format": "int32"
        },
        "take": {
          "type": "integer",
          "description": "Take",
          "format": "int32"
        }
      }
    },
    "ResponseArgsOfEntityDTOContainerOfBranchDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "$ref": "#/definitions/EntityDTOContainerOfBranchDTO"
            }
          }
        }
      ]
    },
    "ResponseArgsOfDisplayInfoDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "$ref": "#/definitions/DisplayInfoDTO"
            }
          }
        }
      ]
    },
    "ResponseArgsOfConfirmationDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "$ref": "#/definitions/ConfirmationDTO"
            }
          }
        }
      ]
    },
    "ResponseArgsOfIEnumerableOfFileDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/FileDTO"
              }
            }
          }
        }
      ]
    },
    "ResponseArgsOfIEnumerableOfArticleDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/ArticleDTO"
              }
            }
          }
        }
      ]
    },
    "ResponseArgsOfIEnumerableOfCommentDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/CommentDTO"
              }
            }
          }
        }
      ]
    },
    "CommentDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/EntityDTOBase"
        },
        {
          "type": "object",
          "description": "Anmerkung / Notiz",
          "properties": {
            "branch": {
              "description": "Filiale / Abteilung",
              "allOf": [
                {
                  "$ref": "#/definitions/EntityDTOContainerOfBranchDTO"
                }
              ]
            },
            "headline": {
              "type": "string",
              "description": "Überschrift        "
            },
            "text": {
              "type": "string",
              "description": "Text"
            }
          }
        }
      ]
    },
    "ResponseArgsOfCommentDTO": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "$ref": "#/definitions/CommentDTO"
            }
          }
        }
      ]
    },
    "ResponseArgsOfString": {
      "allOf": [
        {
          "$ref": "#/definitions/ResponseArgs"
        },
        {
          "type": "object",
          "properties": {
            "result": {
              "type": "string"
            }
          }
        }
      ]
    },
    "DocumentPayloadOfIEnumerableOfString": {
      "type": "object",
      "description": "Payload",
      "properties": {
        "title": {
          "type": "string",
          "description": "Seitentitel"
        },
        "data": {
          "type": "array",
          "description": "Daten",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "DocumentPayloadOfIEnumerableOfDisplayInfoDTO": {
      "type": "object",
      "description": "Payload",
      "properties": {
        "title": {
          "type": "string",
          "description": "Seitentitel"
        },
        "data": {
          "type": "array",
          "description": "Daten",
          "items": {
            "$ref": "#/definitions/DisplayInfoDTO"
          }
        }
      }
    }
  }
}